IF OBJECT_ID('[HelmChartDockerImages_Extended]') IS NOT NULL DROP VIEW [HelmChartDockerImages_Extended]
GO

CREATE VIEW [HelmChartDockerImages_Extended]
AS

	SELECT hc.[Feed_Id],
		hc.[Chart_Name],
		hc.[Version_Text],
		hc.[Cached_Indicator],
		hc.[Published_Date],
		hc.[Chart_Size],
		hc.[SHA256Hash_Bytes],
		hc.[ManifestYaml_Bytes],
		hc.[LastDownloaded_Date],
		hc.[Download_Count],
		dr.[DockerRepository_Id],
		dr.[Feed_Id] as [Docker_Feed_Id],
		COALESCE(dr.[Repository_Name], hcdi.[Repository_Name]) as [Repository_Name],
		COALESCE(drt.[Tag_Name], hcdi.[Tag_Name]) as [Tag_Name],
		hcdi.[HelmChartDockerImages_Id]
	FROM [HelmCharts] hc
		INNER JOIN [HelmChartDockerImages] hcdi
			ON hc.[Chart_Name] = hcdi.[Chart_Name] AND hc.[Version_Text] = hcdi.[Chart_Version_Text] AND hc.[Feed_Id] = hcdi.[Chart_Feed_Id]
		LEFT JOIN [DockerRepositoryTags] drt
			ON hcdi.[DockerRepository_Id] = drt.[DockerRepository_Id] AND hcdi.[Tag_Name] = drt.[Tag_Name]
		LEFT JOIN [DockerRepositories] dr
			ON hcdi.[DockerRepository_Id] = dr.[DockerRepository_Id]
GO
